## haruna 1.2.1

=== debian/changelog ===
haruna (1.2.1-2) unstable; urgency=medium

  * Merge changes from Ubuntu.
  * debian/control: Add missing qml module:
    + qml6-module-org-kde-desktop.
  * debian/control: Add version requirement on pkg-kde-tools to ensure
    package building correctness.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Dec 2024 21:27:41 -0500

haruna (1.2.1-1ubuntu1) plucky; urgency=medium

  * Add missing qml modules for dh_qmldeps.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Nov 2024 07:33:47 +0000

haruna (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Fix upstream monitoring script.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Nov 2024 13:22:23 -0500

haruna (1.1.1-1) unstable; urgency=medium

  * New upstream release.
    + Migrate to KF6 and Qt6.
  * debian/: Migrate to new packaging.
  * debian/qmldepends.overrides: Added to override internal qml
    dependency lookup.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Nov 2024 12:52:57 -0500
