=== debian/control ===
Source: haruna
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 appstream <!nocheck>,
 breeze-dev,
 cmake (>= 3.15),
 debhelper-compat (= 13),
 dh-sequence-kf6,
 dh-sequence-qmldeps,
 extra-cmake-modules,
 kirigami2-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libkf6colorscheme-dev,
 libkf6config-dev,
 libkf6coreaddons-dev,
 libkf6crash-dev,
 libkf6filemetadata-dev,
 libkf6i18n-dev,
 libkf6iconthemes-dev,
 libkf6kio-dev,
 libkf6windowsystem-dev,
 libkirigami-dev,
 libmpvqt-dev,
 pkg-kde-tools (>= 0.18.10~),
 pkgconf,
 qml6-module-org-kde-desktop,
 qml6-module-org-kde-kquickcontrols,
 qml6-module-qt-labs-platform,
 qml6-module-qt5compat-graphicaleffects,
 qml6-module-qtcore,
 qml6-module-qtquick,
 qml6-module-qtquick-window,
 qt6-5compat-dev,
 qt6-base-dev,
 qt6-declarative-dev,
 qt6-declarative-private-dev,
 yt-dlp,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/haruna
Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna

Package: haruna
Architecture: any
Depends:
 ${misc:Depends},
 ${qml6:Depends},
 ${shlibs:Depends},
Recommends:
 yt-dlp,
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar
