## haruna 1.3.0

=== debian/changelog ===
haruna (1.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (1.3.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2025 17:49:26 +0000
