=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
@@ -46,8 +47,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/haruna
-Vcs-Git: https://salsa.debian.org/multimedia-team/haruna.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/haruna
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/haruna
 
 Package: haruna
 Architecture: any
