## haruna 1.3.2

=== debian/changelog ===
haruna (1.3.2-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1095589)

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Feb 2025 09:21:14 -0500

haruna (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 00:39:36 -0500

haruna (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 12:40:06 -0500
