=== debian/changelog ===
haruna (1.3.3-2ubuntu2~ppa1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 24 Mar 2025 21:13:40 -0500

haruna (1.3.3-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Mar 2025 09:40:49 +0000

haruna (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Drop empty DEB_LDFLAGS_MAINT_APPEND in debian/rules.
  * Drop the appstream build dependency: it is not needed to check the AppStream
    files at build time.
  * Add the configuration for the CI on salsa.
  * Add the libkdsingleapplication-qt6-dev build dependency to use
    KDSingleApplication as available as system library rather than the embedded
    copy.
  * Drop an unused license from debian/copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Mar 2025 09:29:46 +0100

haruna (1.3.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.3.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 09:56:12 +0100

haruna (1.3.2-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Move package under the Qt/KDE Extras Team’s umbrella. (Closes:
    #1095589)
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 22:59:06 +0100
