=== debian/changelog ===
haruna (1.4.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 15:35:22 +0200

haruna (1.4.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.4.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 00:17:23 +0200
