=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haruna
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -44,7 +43,7 @@
                yt-dlp,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://invent.kde.org/multimedia/haruna
+Homepage: https://haruna.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/haruna.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/haruna
