## haruna 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #
 # SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
 #
-# SPDX-License-Identifier: GPL-3.0-or-later
+# SPDX-License-Identifier: BSD-3-Clause
 #
 
 cmake_minimum_required(VERSION 3.15)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 1.4.0 LANGUAGES CXX)
+project(haruna VERSION 1.5.0 LANGUAGES CXX)
 
 set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
 set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")
@@ -42,6 +42,9 @@
 
 find_package(Qt6QuickControls2 ${QT_MIN_VERSION})
 set_package_properties(Qt6QuickControls2 PROPERTIES TYPE REQUIRED)
+
+find_package(Qt6Sql ${QT_MIN_VERSION})
+set_package_properties(Qt6Sql PROPERTIES TYPE REQUIRED)
 
 set(HAVE_DBUS FALSE)
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
@@ -107,17 +110,15 @@
 set_package_properties(KF6Crash PROPERTIES TYPE REQUIRED
     URL "https://api.kde.org/frameworks/kcrash/html/index.html")
 
+find_package(KDSingleApplication-qt6)
+set_package_properties(KDSingleApplication-qt6 PROPERTIES TYPE REQUIRED
+    URL "https://github.com/KDAB/KDSingleApplication"
+    DESCRIPTION "helper class for single-instance policy applications")
+
 find_package(Ytdlp)
 set_package_properties(Ytdlp PROPERTIES TYPE RUNTIME
     URL "https://github.com/yt-dlp/yt-dlp"
     DESCRIPTION "needed to play videos from youtube and other online sources")
-
-find_package(KDSingleApplication-qt6 QUIET)
-if(KDSingleApplication-qt6_FOUND)
-    message(STATUS "Using system KDSingleApplication")
-else()
-    message(STATUS "Using bundled KDSingleApplication")
-endif()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
