=== debian/changelog ===
haruna (1.5.0-0zneon+24.04+noble+release+build11) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 20:49:53 +0000

haruna (1.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 20:47:36 +0000

haruna (1.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Apr 2025 20:47:36 +0000

haruna (1.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 20:47:46 +0000

haruna (1.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 Jan 2025 20:47:28 +0000

haruna (1.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Jan 2025 20:47:30 +0000

haruna (1.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jan 2025 20:47:35 +0000

haruna (1.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 27 Sep 2024 20:47:36 +0000

haruna (1.2.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 May 2024 20:47:24 +0000

haruna (1.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 19 Apr 2024 20:47:26 +0000

haruna (1.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 20:47:18 +0000

haruna (1.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Mar 2024 20:47:19 +0000

haruna (1.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Mar 2024 20:47:20 +0000

haruna (0.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Nov 2023 20:47:21 +0000

haruna (0.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Nov 2023 20:47:21 +0000

haruna (0.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 31 Aug 2023 20:47:18 +0000

haruna (0.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 25 Aug 2023 20:47:19 +0000

haruna (0.11.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Jul 2023 20:47:20 +0000

haruna (0.11.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 29 May 2023 20:47:21 +0000

haruna (0.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2023 20:47:20 +0000

haruna (0.10.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 29 Jan 2023 20:47:21 +0000

haruna (0.10.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Jan 2023 20:47:20 +0000

haruna (0.10.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 20:47:21 +0000

haruna (0.9.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Sep 2022 13:55:06 +0000

haruna (0.8.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Apr 2022 20:47:17 +0000

haruna (0.7.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Nov 2021 20:47:05 +0000

haruna (0.7.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 27 Sep 2021 20:47:05 +0000

haruna (0.7.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 Sep 2021 20:47:04 +0000

haruna (0.7.0-0neon) unstable; urgency=medium

  * New upstream release.

 -- David Cahalane <david@narodnik.net>  Wed, 25 Aug 2021 21:15:02 -0400
