=== debian/control ===
Source: haruna
Section: video
Priority: optional
Uploaders: Boyuan Yang <byang@debian.org>
Build-Depends: breeze-dev,
               cmake (>= 3.15),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               libavcodec-dev,
               libavfilter-dev,
               libavutil-dev,
               libkdsingleapplication-qt6-dev,
               libmpv-dev,
               libswscale-dev,
               mpvqt-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/multimedia/haruna
Vcs-Git: https://invent.kde.org/neon/neon-packaging/haruna.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/haruna
Maintainer: Neon CI <neon@kde.org>

Package: haruna
Architecture: any
Depends: mpvqt,
         qml6-module-org-kde-kirigami2,
         qml6-module-qt-labs-platform,
         qml6-module-qtquick-shapes,
         yt-dlp,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Video player built with Qt/QML on top of libmpv
 Haruna is an open source video player built with Qt/QML on top of
 libmpv.
 .
 Compared with other video player frontends, it provides some special
 features, such as:
   * play online videos, through youtube-dl
   * toggle playlist with mouse-over, playlist overlays the video
   * auto skip chapter containing certain words
   * configurable shortcuts and mouse buttons
   * quick jump to next chapter by middle click on progress bar
