## haruna 1.5.0+p24.04+vstable+git20251005.1055

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251005.1055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:55:07 +0000
