## haruna 1.5.0+p24.04+vstable+git20251019.0217

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251019.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:17:11 +0000
