## haruna 1.5.0+p24.04+vstable+git20251020.0102

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251020.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:02:52 +0000
