## haruna 1.5.0+p24.04+vstable+git20251021.0317

=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251021.0317-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:17:03 +0000
