## haruna 1.5.0+p24.04+vstable+git20251030.0409

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # SPDX-FileCopyrightText: 2020 George Florea Bănuș <georgefb899@gmail.com>
 #
-# SPDX-License-Identifier: GPL-3.0-or-later
+# SPDX-License-Identifier: BSD-3-Clause
 #
 
 # DATA_ICONS is defined in data/CMakeLists.txt
@@ -14,16 +14,23 @@
 target_sources(haruna
     PRIVATE
     application.h application.cpp
+    database.h database.cpp
     framedecoder.h framedecoder.cpp
-    global.h global.cpp
+    lockmanager.h lockmanager.cpp
     main.cpp
     models/actionsmodel.h models/actionsmodel.cpp
     models/chaptersmodel.h models/chaptersmodel.cpp
     models/customcommandsmodel.h models/customcommandsmodel.cpp
+    models/mouseactionsmodel.h models/mouseactionsmodel.cpp
     models/recentfilesmodel.h models/recentfilesmodel.cpp
     models/subtitlesfoldersmodel.h models/subtitlesfoldersmodel.cpp
     models/tracksmodel.h models/tracksmodel.cpp
-    models/playlistmodel.h models/playlistmodel.cpp
+    models/playlist/playlistmodel.h models/playlist/playlistmodel.cpp
+    models/playlist/playlistsortproxymodel.h models/playlist/playlistsortproxymodel.cpp
+    models/playlist/playlistproxymodel.h models/playlist/playlistproxymodel.cpp
+    models/playlist/playlistfilterproxymodel.h models/playlist/playlistfilterproxymodel.cpp
+    models/playlist/playlistmultiproxiesmodel.h models/playlist/playlistmultiproxiesmodel.cpp
+    models/playlist/playlistrenamevalidator.h models/playlist/playlistrenamevalidator.cpp
     mpv/mpvitem.h mpv/mpvitem.cpp
     mpv/mpvpreview.h mpv/mpvpreview.cpp
     mpv/mpvproperties.h
@@ -32,19 +39,16 @@
     ${ICONS_SRCS}
 )
 
-if (NOT KDSingleApplication-qt6_FOUND)
-    target_sources(haruna
-        PRIVATE
-        KDSingleApplication/kdsingleapplication_localsocket_p.h KDSingleApplication/kdsingleapplication_localsocket.cpp
-        KDSingleApplication/kdsingleapplication.h KDSingleApplication/kdsingleapplication.cpp
-    )
-endif()
+qt_add_resources(haruna sql_files
+    FILES
+        sql/create-recent_files-table.sql
+        sql/create-playback_position-table.sql
+)
 
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
     qt_add_dbus_interface(haruna_screensaver_inhibit_SRCS ../org.freedesktop.ScreenSaver.xml screensaverdbusinterface)
     target_sources(haruna
         PRIVATE
-        lockmanager.h lockmanager.cpp
         mpris2/mediaplayer2.h mpris2/mediaplayer2.cpp
         mpris2/mediaplayer2player.h mpris2/mediaplayer2player.cpp
         ${haruna_screensaver_inhibit_SRCS}
@@ -56,14 +60,9 @@
     )
 endif()
 
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/audiosettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/generalsettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/informationsettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/mousesettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playbacksettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/playlistsettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/subtitlessettings.kcfgc)
-kconfig_add_kcfg_files(haruna GENERATE_MOC settings/videosettings.kcfgc)
+add_subdirectory(utilities)
+add_subdirectory(settings)
+add_subdirectory(youtube)
 
 qt_policy(SET QTP0001 NEW)
 
@@ -79,9 +78,6 @@
         qml/MpvVideo.qml
         qml/Osd.qml
         qml/PlayList.qml
-        qml/PlayListItem.qml
-        qml/PlayListItemCompact.qml
-        qml/PlayListItemWithThumbnail.qml
         qml/VolumeSlider.qml
         qml/Main.qml
 
@@ -97,6 +93,12 @@
         qml/Haruna/Components/SubtitlesFolders.qml
         qml/Haruna/Components/SubtitleTracksMenu.qml
         qml/Haruna/Components/ToolTipButton.qml
+
+        qml/Haruna/PlaylistItems/PlaylistItemDelegate.qml
+        qml/Haruna/PlaylistItems/PlayListItem.qml
+        qml/Haruna/PlaylistItems/PlayListItemCompact.qml
+        qml/Haruna/PlaylistItems/PlayListItemWithThumbnail.qml
+        qml/Haruna/PlaylistItems/PlaylistTabDelegate.qml
 
         qml/Menus/AudioMenu.qml
         qml/Menus/MpvContextMenu.qml
@@ -133,16 +135,10 @@
 target_include_directories(haruna
     PRIVATE
         models
+        models/playlist
         mpv
         ${FFMPEG_INCLUDE_DIRS}
 )
-
-if (NOT KDSingleApplication-qt6_FOUND)
-    target_include_directories(haruna
-        PRIVATE
-        KDSingleApplication
-    )
-endif()
 
 target_compile_definitions(haruna PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)
 
@@ -153,6 +149,7 @@
     Qt6::Qml
     Qt6::Quick
     Qt6::QuickControls2
+    Qt6::Sql
 
     KF6::ColorScheme
     KF6::ConfigCore
@@ -166,18 +163,19 @@
     KF6::WindowSystem
     KF6::Crash
 
+    KDAB::kdsingleapplication
+
     MpvQt::MpvQt
     ${AVUTIL_LIBRARIES}
     ${AVFILTER_LIBRARIES}
     ${AVFORMAT_LIBRARIES}
     ${AVCODEC_LIBRARIES}
     ${SWSCALE_LIBRARIES}
+
+    utilitiesplugin
+    settingsplugin
+    youtubeplugin
 )
-if(KDSingleApplication-qt6_FOUND)
-    target_link_libraries(haruna PRIVATE
-        KDAB::kdsingleapplication
-    )
-endif()
 
 if (CMAKE_SYSTEM_NAME IN_LIST DBUS_PLATFORMS)
     target_link_libraries(haruna PRIVATE
