=== debian/changelog ===
haruna (1.5.0+p24.04+vstable+git20251030.0409-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:09:44 +0000
