=== debian/changelog ===
haruna (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Oct 2025 09:11:59 +0200

haruna (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - drop kirigami2-dev, which is KF5
    - drop libavdevice-dev, and libavfilter-dev, not directly required
    - drop breeze-dev, and yt-dlp, which are runtime dependencies
    - drop qml6-module-org-kde-desktop, not used
    - add more QML dependencies: qml6-module-org-kde-config,
      qml6-module-org-kde-kitemmodels, qml6-module-qtquick-controls,
      qml6-module-qtquick-dialogs, qml6-module-qtquick-layouts, and
      qml6-module-qtquick-shapes
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Oct 2025 10:04:40 +0200
