## haruna 1.6.0+p24.04+vstable+git20251231.0508

=== debian/changelog ===
haruna (1.6.0+p24.04+vstable+git20251231.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:08:56 +0000

haruna (1.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 10:47:36 +0000
