## haruna 1.6.0+p24.04+vstable+git20260105.1214

=== debian/changelog ===
haruna (1.6.0+p24.04+vstable+git20260105.1214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:14:04 +0000
