## haruna 1.6.0+p24.04+vunstable+git20251206.0807

=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251206.0807-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:07:50 +0000
