## haruna 1.6.0+p24.04+vunstable+git20251208.0246

=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251208.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:46:32 +0000
