## haruna 1.6.0+p24.04+vunstable+git20251209.0328

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 # SPDX-License-Identifier: BSD-3-Clause
 #
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.16...3.30)
 
 cmake_policy(SET CMP0048 NEW)
-project(haruna VERSION 1.5.0 LANGUAGES CXX)
+project(haruna VERSION 1.6.0 LANGUAGES CXX)
 
 set(QT_QML_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/src)
 set(QML_IMPORT_PATH ${QT_QML_OUTPUT_DIRECTORY} CACHE PATH "Extra QML import paths to make Qt Creator happy")
