=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251209.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:28:03 +0000
