## haruna 1.6.0+p24.04+vunstable+git20251211.0311

=== debian/changelog ===
haruna (1.6.0+p24.04+vunstable+git20251211.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 03:11:12 +0000
